> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agency Daily Kpis By Product Dump Urls

> Retrieve pre-signed S3 URLs for daily product-wise KPI files.

This endpoint provides a list of Amazon S3 pre-signed URLs, allowing access to
product-wise daily KPIs  for Toppie. The data is provided in Parquet file format.

Files become available daily after **3 AM UTC** and contain KPI data for the
**previous day**.



## OpenAPI

````yaml /openapi.json get /public/v1/toppie/reporting/file-reports/daily-kpis-by-product
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/toppie/reporting/file-reports/daily-kpis-by-product:
    get:
      tags:
        - Toppie API
      summary: Get Agency Daily Kpis By Product Dump Urls
      description: >-
        Retrieve pre-signed S3 URLs for daily product-wise KPI files.


        This endpoint provides a list of Amazon S3 pre-signed URLs, allowing
        access to

        product-wise daily KPIs  for Toppie. The data is provided in Parquet
        file format.


        Files become available daily after **3 AM UTC** and contain KPI data for
        the

        **previous day**.
      operationId: daily_kpis_by_product
      parameters:
        - name: report_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: Report date (UTC) in YYYY-MM-DD format.
          description: Report date (UTC) in YYYY-MM-DD format.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_FileAgencyDailyKPIsByProductResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_FileAgencyDailyKPIsByProductResponse:
      properties:
        files:
          items:
            $ref: >-
              #/components/schemas/Advanced_APIs_FileReportAgencyDailyKPIsByProductUrl
          type: array
          title: Files
      type: object
      required:
        - files
      title: FileAgencyDailyKPIsByProductResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_FileReportAgencyDailyKPIsByProductUrl:
      properties:
        date:
          type: string
          format: date
          title: Date
          description: >-
            The date associated with the agency data dump in ISO format
            (YYYY-MM-DD)
        fileUrl:
          type: string
          title: Fileurl
          description: >-
            The signed URL from AWS S3 to download the agency daily kpis by
            product data dump for the corresponding date
      type: object
      required:
        - date
        - fileUrl
      title: FileReportAgencyDailyKPIsByProductUrl
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````